// Package controller -----------------------------
// @author    : JJXu
// @contact   : wavingbear@163.com
// @time      : 2025-06-12 10:06:32
// -------------------------------------------
package service

import (
	"context"
	"github.com/fonchain_enterprise/micro-account/api/accountFiee"
)

// 创建聊天用户
func (a *AccountFieeProvider) CreateChatUser(ctx context.Context, req *accountFiee.ChatUserData) (*accountFiee.CreateChatUserResp, error) {
	return a.chatUserLogic.CreateChatUser(req)
}

// 删除聊天用户
func (a *AccountFieeProvider) DeleteChatUser(ctx context.Context, req *accountFiee.DeleteChatUserRequest) (*accountFiee.CommonMsg, error) {
	return a.chatUserLogic.DeleteChatUsers(req)
}

// 更新聊天用户
func (a *AccountFieeProvider) UpdateChatUser(ctx context.Context, data *accountFiee.ChatUserData) (*accountFiee.CommonMsg, error) {
	return a.chatUserLogic.UpdateChatUser(data)
}

// 覆盖聊天用户
func (a *AccountFieeProvider) SaveChatUser(ctx context.Context, data *accountFiee.ChatUserData) (*accountFiee.CommonMsg, error) {
	return a.chatUserLogic.SaveChatUser(data)
}

// 使用id查询聊天用户
func (a *AccountFieeProvider) GetChatUserDetail(ctx context.Context, req *accountFiee.GetChatUserByIdRequest) (data *accountFiee.ChatUserData, err error) {
	return a.chatUserLogic.GetChatUserById(req)
}

// 批量查询聊天用户
func (a *AccountFieeProvider) GetChatUserList(ctx context.Context, req *accountFiee.GetChatUserListRequest) (resp *accountFiee.GetChatUserListResp, err error) {
	return a.chatUserLogic.GetChatUserList(req)
}
